<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'testprovider',

    /*
     * Package.
     */
    'package'   => 'testpackage',

    /*
     * Modules.
     */
    'modules'   => ['car'],

    
    'car'       => [
        'model' => [
            'model'                 => \Testprovider\Testpackage\Models\Car::class,
            'table'                 => 'cars',
            'presenter'             => \Testprovider\Testpackage\Repositories\Presenter\CarPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => [],
            'translatables'         => [],
            'upload_folder'         => 'testpackage/car',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Testprovider',
            'package'   => 'Testpackage',
            'module'    => 'Car',
        ],

    ],
];
