<?php

namespace Testprovider;

use DB;
use Illuminate\Database\Seeder;

class TestpackageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('cars')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'testpackage.car.view',
                'name'      => 'View Car',
            ],
            [
                'slug'      => 'testpackage.car.create',
                'name'      => 'Create Car',
            ],
            [
                'slug'      => 'testpackage.car.edit',
                'name'      => 'Update Car',
            ],
            [
                'slug'      => 'testpackage.car.delete',
                'name'      => 'Delete Car',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/testpackage/car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/testpackage/car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Testpackage',
                'module'    => 'Car',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'testpackage.car.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
